%define	major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary: C++ library for reading and writing Standard MIDI Files.
Name: portsmf
Version: 239
Release: %mkrel 2
License: GPLv2
Group: System/Libraries
URL: http://sbsms.sourceforge.net/
Source0: %name-%version.tar.xz

BuildRequires: gcc-c++
BuildRequires: pkgconfig(sndfile)

Obsoletes:	%{name} < %{version}-%{release}

%description
Portsmf is "Port Standard MIDI File", a cross-platform, C++ library
for reading and writing Standard MIDI Files.

%package -n	%{libname}
Summary:	C++ library for reading and writing Standard MIDI Files.
Group:		System/Libraries

%description -n	%{libname}
C++ library for reading and writing Standard MIDI Files.
This package provides the shared libraries for portsmf.

%package -n	%{develname}
Summary:	Development files for PortSMF
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package provides the development libraries for portsmf.

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build

CFLAGS+=' -fcommon'

%cmake -DCMAKE_BUILD_TYPE:STRING="Release" \
	-DCMAKE_INSTALL_PREFIX:PATH="/usr" \
	-DCMAKE_C_FLAGS_RELWITHDEBINFO:STRING="-DNDEBUG" ..

%cmake_build

%install
%cmake_install 

find %{buildroot} -name "*.la" -delete

%files
%doc license.txt README.txt todo.txt

%files -n %{libname}
%{_libdir}/libportSMF.so.%{major}*

%files -n %{develname}
%{_libdir}/libportSMF.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/portsmf/*.h
%{_prefix}/lib/cmake/PortSMF


%changelog
* Thu Oct 07 2021  onkelho <oh.quait at gmail.com> - 239-2pclos2021
- rebuild 
- split to lib- and -devel

* Wed Oct 06 2021  onkelho <oh.quait at gmail.com> - 239-1pclos2021
- new version released
